> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# importnewproductlistitem

> Import product list items - add, use blank

## "importnewproductlistitem" MDO List

Import product list items: add, use blank

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ImportNewProductListItemProvider">ImportNewProductListItemProvider</see> class.
The name of the MDO list is 'importnewproductlistitem'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/importnewproductlistitem
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("importnewproductlistitem", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                  | StyleHint | ExtraInfo |
| -- | --------------------- | --------- | --------- |
| 1  | Add new item to list  |           |           |
| 3  | Ignore - set to blank |           |           |

## Related MDO Lists

* "importnewproductlistitemheadings"
* "importnewproductlistitemheadingswithallitem"
* "importnewproductlistitemheadingswithallitemwithnoselection"
* "importnewproductlistitemheadingswithnoselection"
* "importnewproductlistitemwithallitem"
* "importnewproductlistitemwithallitemwithnoselection"
* "importnewproductlistitemwithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
